Retrieve account holder
curl --request GET \
--url https://api.augustus.com/v1/account_holders/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.augustus.com/v1/account_holders/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.augustus.com/v1/account_holders/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "68e0a1b2c3d4e5f60718293a",
"type": "account_holder",
"holder_type": "natural_person",
"status": "pending",
"beneficiary_data": {
"legal_name": "Jordan Rivera",
"residential_address": {
"line_1": "548 Market St",
"line_2": "Apartment 4B",
"city": "San Francisco",
"state": "CA",
"postal_code": "94103",
"country_code": "US"
},
"date_of_birth": "1990-01-15",
"identification": {
"type": "ssn",
"value": "123-45-6789"
},
"country_of_citizenship": "US"
},
"created_at": "2026-01-15T10:30:00Z"
}Account Holders
Retrieve account holder
Retrieves an account holder by ID.
GET
/
v1
/
account_holders
/
{id}
Retrieve account holder
Authorizations
Bearer token for authentication with Augustus Banking API
Path Parameters
Unique identifier of the account holder.
Pattern:
^[0-9a-fA-F]{24}$Example:
"68e0a1b2c3d4e5f60718293a"
Response
200 - application/json
The account holder resource
Unique identifier of the account holder.
Pattern:
^[0-9a-fA-F]{24}$Example:
"68e0a1b2c3d4e5f60718293a"
Resource type discriminator.
Available options:
account_holder Type of the account holder.
Available options:
natural_person, business Current account holder status.
Available options:
pending, active, closed Beneficiary details used to create this account holder. Which shape is returned follows country_of_citizenship: US individual when it is US, Non-US individual for any other country, Business when holder_type is business.
- US individual
- Non-US individual
- Business
Show child attributes
Show child attributes
ISO 8601 UTC timestamp when the account holder was created.
Example:
"2026-01-15T10:30:00Z"
Was this page helpful?